图生视频-首尾图模式-提交任务
curl --request POST \
--url https://leapx-hub.com/prod-api/nebula/v4/api/volcImageFirstLast \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"image_urls": [
"<string>"
],
"prompt": "<string>",
"duration": 123,
"req_key": "<string>",
"resolution": "<string>",
"return_url": true
}
'import requests
url = "https://leapx-hub.com/prod-api/nebula/v4/api/volcImageFirstLast"
payload = {
"image_urls": ["<string>"],
"prompt": "<string>",
"duration": 123,
"req_key": "<string>",
"resolution": "<string>",
"return_url": True
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({
image_urls: ['<string>'],
prompt: '<string>',
duration: 123,
req_key: '<string>',
resolution: '<string>',
return_url: true
})
};
fetch('https://leapx-hub.com/prod-api/nebula/v4/api/volcImageFirstLast', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"msg": "操作成功",
"data": {
"id": "task-1234567890"
}
}
AI 视频
图生视频-首尾图模式-提交任务
POST
/
prod-api
/
nebula
/
v4
/
api
/
volcImageFirstLast
图生视频-首尾图模式-提交任务
简介
提交首尾图模式图生视频任务,用于根据首尾图片生成视频。认证
string
必填
Bearer Token,如
Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9...
获取方法:依照左侧最上面认证模块的post接口获取,https://docs.leapx-hub.com/cn/leapx-lab-v4/endpoint/get-token请求参数
string[]
必填
图片链接列表,包含首图和尾图,数量必须为2
string
必填
提示词
long
必填
视频时长(秒)
string
请求标识
string
分辨率
boolean
是否返回视频URL
示例代码
- cURL示例
- Python示例
curl -X POST "https://leapx-hub.com/prod-api/nebula/v4/api/volcImageFirstLast" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer sk-xxxxxxxxxx" \
-d '{
"image_urls": ["https://example.com/first.jpg", "https://example.com/last.jpg"],
"prompt": "从首图自然过渡到尾图",
"duration": 5,
"req_key": "req-001",
"resolution": "720p",
"return_url": true
}'
import requests
import json
url = "https://leapx-hub.com/prod-api/nebula/v4/api/volcImageFirstLast"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer sk-xxxxxxxxxx"
}
data = {
"image_urls": ["https://example.com/first.jpg", "https://example.com/last.jpg"],
"prompt": "从首图自然过渡到尾图",
"duration": 5,
"req_key": "req-001",
"resolution": "720p",
"return_url": True
}
response = requests.post(url, headers=headers, data=json.dumps(data))
print(response.json())
响应示例
{
"code": 200,
"msg": "操作成功",
"data": {
"id": "task-1234567890"
}
}
⌘I
